# Class AbstractConnectionCustomizer

java.lang.Object
com.mchange.v2.c3p0.AbstractConnectionCustomizer

All Implemented Interfaces:
  `ConnectionCustomizer`

public abstract class AbstractConnectionCustomizer extends Object implements ConnectionCustomizer
An abstract implementation of the ConnectionCustomizer interface in which all methods are no-ops. Just a convenience class since most clients will only need to implement a single method.

## Constructor Summary

Constructors
Constructor
Description
`AbstractConnectionCustomizer()`

## Method Summary

Modifier and Type
Method
Description
`void`
`onAcquire(Connection c, String parentDataSourceIdentityToken)`
Called immediately after a Connection is acquired from the underlying database for incorporation into the pool.
`void`
`onCheckIn(Connection c, String parentDataSourceIdentityToken)`
Called immediately after a Connection is checked in, prior to reincorporation into the pool.
`void`
`onCheckOut(Connection c, String parentDataSourceIdentityToken)`
Called immediately before a Connection is made available to a client upon checkout.
`void`
`onDestroy(Connection c, String parentDataSourceIdentityToken)`
Called immediately before a Connection is destroyed after being removed from the pool.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AbstractConnectionCustomizer

public AbstractConnectionCustomizer()

## Method Details

### onAcquire

public void onAcquire(Connection c, String parentDataSourceIdentityToken) throws Exception
Description copied from interface: `ConnectionCustomizer`

Called immediately after a Connection is acquired from the underlying database for incorporation into the pool.

This method is only called once per Connection. If standard JDBC Connection properties are modified [holdability, transactionIsolation, readOnly], those modifications will override defaults throughout the Connection's tenure in the pool.

Specified by:
  `onAcquire` in interface `ConnectionCustomizer`
Throws:
  `Exception`

### onDestroy

public void onDestroy(Connection c, String parentDataSourceIdentityToken) throws Exception
Description copied from interface: `ConnectionCustomizer`
Called immediately before a Connection is destroyed after being removed from the pool.

Specified by:
  `onDestroy` in interface `ConnectionCustomizer`
Throws:
  `Exception`

### onCheckOut

public void onCheckOut(Connection c, String parentDataSourceIdentityToken) throws Exception
Description copied from interface: `ConnectionCustomizer`
Called immediately before a Connection is made available to a client upon checkout.

Specified by:
  `onCheckOut` in interface `ConnectionCustomizer`
Throws:
  `Exception`

### onCheckIn

public void onCheckIn(Connection c, String parentDataSourceIdentityToken) throws Exception
Description copied from interface: `ConnectionCustomizer`
Called immediately after a Connection is checked in, prior to reincorporation into the pool.

Specified by:
  `onCheckIn` in interface `ConnectionCustomizer`
Throws:
  `Exception`